#ifndef TRAFFICSIGNAL_H
#define TRAFFICSIGNAL_H

#define KDCC_INTERRUPT 0

#include <UniversalAccessoryDecoder.h>

class TrafficSignal {
public :
TrafficSignal();
void Setup (int Signal2, int Signal3, int DccID, int ledStatusPin, int buttonPin);
void Loop();
private :
    DccCommander dcc;
    ButtonsCommander button;
    Accessories leds;
    DriverArduino *arduino;
    AccessoryGroup signals;
    int nbSignal2;
    int nbSignal3;
    int nbSignalTotal;
    int nbLedTotal;
    int IdDcc;
  };
#endif

